# xoxys.docker-engine
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.docker-engine/status.svg)](https://drone.rknet.org/ansible/xoxys.docker-engine)


Install docker-engine

## Table of content

* [Default Variables](#default-variables)
  * [dockerengine_package](#dockerengine_package)
  * [dockerengine_packages_extra](#dockerengine_packages_extra)
  * [dockerengine_docker_group_enabled](#dockerengine_docker_group_enabled)
  * [dockerengine_secure_registries](#dockerengine_secure_registries)
  * [dockerengine_insecure_registries](#dockerengine_insecure_registries)
  * [dockerengine_block_registries](#dockerengine_block_registries)
  * [dockerengine_storage_vg](#dockerengine_storage_vg)
  * [dockerengine_storage_lv](#dockerengine_storage_lv)
  * [dockerengine_storage_size](#dockerengine_storage_size)
  * [dockerengine_base_dir](#dockerengine_base_dir)
  * [dockerengine_cli_options](#dockerengine_cli_options)
  * [dockerengine_usernamespace_enabled](#dockerengine_usernamespace_enabled)
  * [dockerengine_nsremap_user](#dockerengine_nsremap_user)
  * [dockerengine_nsremap_range_start](#dockerengine_nsremap_range_start)
  * [dockerengine_nsremap_range_length](#dockerengine_nsremap_range_length)
  * [dockerengine_http_proxy](#dockerengine_http_proxy)
  * [dockerengine_https_proxy](#dockerengine_https_proxy)
  * [dockerengine_no_proxy](#dockerengine_no_proxy)
  * [dockerengine_storage_pvs](#dockerengine_storage_pvs)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### dockerengine_package

#### Default value

```YAML
dockerengine_package: docker
```

### dockerengine_packages_extra

The role requires epel repository and pip to work .You can use `dockerengine_packages_extra` to install these dependencys.

#### Default value

```YAML
dockerengine_packages_extra: []
```

#### Example usage

```YAML
dockerengine_packages_extra:
  - epel-release
  - python2-pip
```

### dockerengine_docker_group_enabled

#### Default value

```YAML
dockerengine_docker_group_enabled: false
```

### dockerengine_secure_registries

#### Default value

```YAML
dockerengine_secure_registries: []
```

### dockerengine_insecure_registries

#### Default value

```YAML
dockerengine_insecure_registries: []
```

### dockerengine_block_registries

#### Default value

```YAML
dockerengine_block_registries: []
```

### dockerengine_storage_vg

#### Default value

```YAML
dockerengine_storage_vg: vg_docker
```

### dockerengine_storage_lv

#### Default value

```YAML
dockerengine_storage_lv: lv_docker
```

### dockerengine_storage_size

#### Default value

```YAML
dockerengine_storage_size: 100G
```

### dockerengine_base_dir

#### Default value

```YAML
dockerengine_base_dir: /var/lib/docker
```

### dockerengine_cli_options

#### Default value

```YAML
dockerengine_cli_options:
  - selinux-enabled
  - log-driver=journald
  - log-level=info
  - signature-verification=false
```

### dockerengine_usernamespace_enabled

#### Default value

```YAML
dockerengine_usernamespace_enabled: false
```

### dockerengine_nsremap_user

#### Default value

```YAML
dockerengine_nsremap_user: dockremap
```

### dockerengine_nsremap_range_start

#### Default value

```YAML
dockerengine_nsremap_range_start: 231072
```

### dockerengine_nsremap_range_length

#### Default value

```YAML
dockerengine_nsremap_range_length: 65536
```

### dockerengine_http_proxy

#### Default value

```YAML
dockerengine_http_proxy: _unset_
```

### dockerengine_https_proxy

#### Default value

```YAML
dockerengine_https_proxy: _unset
```

### dockerengine_no_proxy

#### Default value

```YAML
dockerengine_no_proxy: _unset_
```

### dockerengine_storage_pvs

#### Default value

```YAML
dockerengine_storage_pvs: _unset_
```

#### Example usage

```YAML
dockerengine_storage_pvs: /dev/sda
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
